Subject: Re: bug#25281: rust importer duplicates input
From: zimoun <[email-masked]>
To: ng0 <[email-masked]>
Cc: [email-masked]
Date: Sat, 03 Jul 2021 09:54:07 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

On Fri, 02 Jul 2021 at 10:52, zimoun <[email-masked]> wrote:
> On mar., 27 déc. 2016 at 16:10, ng0 <[email-masked]> wrote:
>
>> ng0@wasp ~$ guix import crate net2
>> following redirection to `https://crates-io.s3-us-west-1.amazonaws.com/crates/net2/net2-0.2.26.crate'...
>> (package
>>   (name "rust-net2")
>>   (version "0.2.26")
>>   (source
>>     (origin
>>       (method url-fetch)
>>       (uri (crate-uri "net2" version))
>>       (file-name
>>         (string-append name "-" version ".tar.gz"))
>>       (sha256
>>         (base32
>>           "1qp3q6xynb481rsp3ig1nmqb6qlxfba3shfrmqij88cppsv9rpsy"))))
>>   (build-system cargo-build-system)
>>   (inputs
>>     `(("rust-cfg-if" ,rust-cfg-if)
>>       ("rust-kernel32-sys" ,rust-kernel32-sys)
>>       ("rust-libc" ,rust-libc)
>>       ("rust-libc" ,rust-libc)
>>       ("rust-libc" ,rust-libc)
>>       ("rust-libc" ,rust-libc)
>>       ("rust-libc" ,rust-libc)
>>       ("rust-winapi" ,rust-winapi)
>>       ("rust-ws2-32-sys" ,rust-ws2-32-sys)))
>>   (home-page
>>     "https://github.com/rust-lang-nursery/net2-rs")
>>   (synopsis
>>     "Extensions to the standard library's networking types as proposed in RFC 1158.
>> ")
>>   (description
>>     "Extensions to the standard library's networking types as proposed in RFC 1158.
>> ")
>>   (license (list license:expat license:asl2.0)))
>
> Using Guix 3694c0d, I get this:
>
> $ guix import crate net2
> (define-public rust-net2-0.2
>   (package
>     (name "rust-net2")
>     (version "0.2.37")
>     (source
>       (origin
>         (method url-fetch)
>         (uri (crate-uri "net2" version))
>         (file-name
>           (string-append name "-" version ".tar.gz"))
>         (sha256
>           (base32
>             "1bk8jp0i12gvhrlaqbfq19ancja70r1rg3sywbhjl0385g8k05ir"))))
>     (build-system cargo-build-system)
>     (arguments
>       `(#:cargo-inputs
>         (("rust-cfg-if" ,rust-cfg-if-0.1)
>          ("rust-libc" ,rust-libc-0.2)
>          ("rust-winapi" ,rust-winapi-0.3))))
>     (home-page
>       "https://github.com/deprecrated/net2-rs")
>     (synopsis
>       "Extensions to the standard library's networking types as proposed in RFC 1158.
> ")
>     (description
>       "Extensions to the standard library's networking types as proposed in RFC 1158.
> ")
>     (license (list license:expat license:asl2.0))))
>
> Therefore, I think this bug report can be close.  WDYT?

I get a «Delivery Status Notification (Failure)» from the email address
of the submitter, and I consider this issue is now fixed, so closing.

If I misread something or misunderstand a point, please reopen.

All the best,
simon